EDIT - feature request #7363

TaxonNameEditor supports replaced synonyms
04/23/2018 04:48 PM - Andreas Kohlbecker

Status: Duplicate Start date:

Priority: Highest Due date:

Assignee: Wolf-Henning Kusber % Done: 0%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.0

Severity: major

Description

Implement editing of replaced synonyms in the taxon name editor. Replaced synonyms are the more general case of basionyms

whith the difference that the specific epithet is different.

add a "Replaced synonym" checkbox

Related issues:
Is duplicate of EDIT - feature request #7253: TaxonNameEditor mode replaced s...
Blocked by EDIT - task #7365: enable CdmPopupEditors to operate on CdmDecorat...

Duplicate
Closed

Associated revisions

Revision 226968cb - 05/03/2018 12:04 PM - Andreas Kohlbecker
fix #7363 adding support for replacedSynonyms to TaxonNameEditor

History

#1 - 04/23/2018 04:53 PM - Andreas Kohlbecker
- Tags set to phycobank

#2 - 04/23/2018 04:55 PM - Wolf-Henning Kusber

Characteristic is the omission of the Author of the replaced synonym (see basionym author).

#3 - 04/23/2018 05:14 PM - Andreas Kohlbecker
- Blocked by task #7365: enable CdmPopupEditors to operate on CdmDecoratorDTOs added

#4 - 04/24/2018 11:53 AM - Andreas Kohlbecker
- Tracker changed from task to feature request

- Description updated

#5 - 04/24/2018 11:54 AM - Andreas Kohlbecker

- Is duplicate of feature request #7253: TaxonNameEditor mode replaced synonym added

#6 - 05/02/2018 04:23 PM - Andreas Kohlbecker

- Status changed from New to In Progress

#7 - 05/03/2018 12:04 PM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|226968cb5fc89615b25t55283e4bfb17272728c3.

#8 - 05/03/2018 12:05 PM - Andreas Kohlbecker
- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

- % Done changed from 50 to 0
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-vaadin/revisions/226968cb5fc896f5b25f55283e4bfb17272728c3

implementation complete! Henning, please review.

#9 - 05/03/2018 12:05 PM - Andreas Kohlbecker
- % Done changed from 0 to 50

#10 - 05/03/2018 02:44 PM - Wolf-Henning Kusber
Fehlt noch.

#11 - 06/08/2018 05:57 PM - Andreas Kohlbecker

- Status changed from Resolved to Duplicate

#12 - 12/11/2018 12:07 PM - Andreas Kohlbecker
- % Done changed from 50 to 0
